Summary: The Open Source Linux PBX
Name: asterisk12
Version: 1.2.40
Release: 58%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org/
Source0: http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-%{version}.tar.gz
Source1: test-apps-asterisk-1.2-070624.tar.bz2
Patch0: asterisk-1.2.34-open.patch
Patch1: asterisk-1.2.34-init.patch
Patch2: asterisk-1.2.34-linuxpaths.patch
Patch3: asterisk-1.2.34-spandsp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, m4
BuildRequires: openssl-devel
BuildRequires: newt-devel
BuildRequires: libtermcap-devel, ncurses-devel
BuildRequires: postgresql-devel, postgresql-server, zlib-devel
BuildRequires: libpri12-devel >= 1.2.2
BuildRequires: zaptel12-devel >= 1.2.2, libtiff-devel >= 3.5.7
BuildRequires: spandsp004-devel
BuildRequires: curl-devel
BuildRequires: speex-devel
BuildRequires: unixODBC-devel
#BuildRequires: popt-devel
BuildRequires: %{_includedir}/popt.h
Obsoletes: asterisk < %{evr}
Conflicts: asterisk, asterisk14

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{evr}
Requires: spandsp004-devel
Obsoletes: asterisk-devel < %{evr}
Conflicts: asterisk-devel, asterisk14-devel

%description devel
Use this package for building/developing applications against %{name}.

%prep
%setup -q -a1 -n asterisk-%{version}
%patch0 -p1 -b .open
%patch1 -p1 -b .init
%patch2 -p1 -b .linuxpaths
%patch3 -p1 -b .spandsp
cp -a test*/app_*c apps
find . -type f | xargs grep -l /usr/lib/ | xargs perl -pi -e's,/usr/lib/,%{_libdir}/,'
perl -pi -e's,^OPTIMIZE.*,,' Makefile
perl -pi -e's,^.*-march.*,,g' Makefile
grep -rl '# include <linux/compiler.h>' . | xargs perl -pi -e's,# include <linux/compiler.h>,/* # include <linux/compiler.h> */,'

%build
OPTIMIZE="%{optflags}" make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initrddir}
make install samples DESTDIR=%{buildroot} INSTALL="install -p"
install -m 0644 include/asterisk.h %{buildroot}%{_includedir}/asterisk.h
install -p contrib/init.d/rc.redhat.asterisk %{buildroot}%{_initrddir}/asterisk

mkdir -p %{buildroot}%{_datadir}/asterisk
pushd %{buildroot}%{_localstatedir}/lib/asterisk
for x in *; do
  mv $x %{buildroot}%{_datadir}/asterisk
  ln -s %{_datadir}/asterisk/$x .
done
popd

pushd contrib/init.d
rm -f rc.debian.asterisk rc.gentoo.asterisk rc.mandrake.asterisk rc.mandrake.zaptel
popd

%clean
rm -rf %{buildroot}

%pre
# Add the "asterisk" user
/usr/sbin/useradd -r -c "Asterisk" \
        -s /sbin/nologin -d %{_localstatedir}/lib/asterisk asterisk 2> /dev/null || :

%post
/sbin/ldconfig
# Register the asterisk service
/sbin/chkconfig --add asterisk

%preun
if [ $1 = 0 ]; then
        /sbin/service asterisk stop > /dev/null 2>&1
        /sbin/chkconfig --del asterisk
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README* *.txt ChangeLog BUGS HARDWARE SECURITY CREDITS doc/* configs contrib
%{_initrddir}/asterisk
%{_sbindir}/asterisk
%{_sbindir}/astgenkey
%{_sbindir}/safe_asterisk
#
%{_sbindir}/astman
%{_sbindir}/smsq
%{_sbindir}/stereorize
%{_sbindir}/streamplayer
#
%{_sbindir}/autosupport
%{_sbindir}/rasterisk
%{_libdir}/asterisk
%{_datadir}/asterisk
%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*
%{_mandir}/man8/safe_asterisk.8*
%dir %{_sysconfdir}/asterisk
%config(noreplace) %{_sysconfdir}/asterisk/*
%{_localstatedir}/lib/asterisk/*
%defattr(-,asterisk,asterisk,-)
%dir %{_localstatedir}/lib/asterisk
%{_localstatedir}/run/asterisk
%{_localstatedir}/spool/asterisk
%{_localstatedir}/log/asterisk

%files devel
%defattr(-,root,root,-)
%{_includedir}/asterisk.h
%{_includedir}/asterisk/


%changelog
* Thu Apr  1 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.40-58
- Update to 1.2.40.

* Fri Feb 12 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.39-57
- Update to 1.2.39.

* Wed Jan  6 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.37-56
- Update to 1.2.37.

* Fri Nov  6 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.36-55
- Update to 1.2.36.

* Fri Sep  4 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.35-54
- Update to 1.2.35.

* Sat Aug 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.34-52
- Make sound files owned by root.

* Wed Aug 19 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.34-51
- New upstream sources replaced moh provider.

* Sat Aug 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.34-50
- Renamed to asterisk12.

* Wed Aug 12 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.34-49
- Update to 1.2.34.

* Sun Jun  7 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.33-48
- Update to 1.2.33.

* Tue Jan 27 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.31-47
- Update to 1.2.31.1.

* Thu Jul  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.29-46
- Update to 1.2.29.

* Wed Apr 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.28-45
- Update to 1.2.28.

* Thu Mar 20 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.27-44
- Update to 1.2.27.

* Sat Dec 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.26.1-43
- Update to 1.2.26.1.

* Sat Dec  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.25-42
- Update to 1.2.25.

* Sat Aug 18 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.24-41
- Update to 1.2.24.

* Wed Jul 25 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.23-40
- Update to 1.2.23.

* Sat Jul 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.22-39
- Update to 1.2.22.

* Fri Jun 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.20-38
- Update to 1.2.20.

* Sat Jun 16 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.19-37
- Update to 1.2.19.

* Wed Apr 25 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.18-36
- Update to 1.2.18.

* Wed Mar 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.17-35
- Update to 1.2.17.

* Sat Mar  3 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.16-34
- Update to 1.2.16.

* Wed Feb 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.15-33
- Update to 1.2.15.

* Sat Dec 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.14-31
- Update to 1.2.14.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.13-30
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.13-29
- Update to 1.2.13.

* Sat Sep 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.12.1-28
- Update to 1.2.12.1.

* Sat Sep  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.12-27
- Update to 1.2.12.

* Fri Aug 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.11-26
- Update to 1.2.11.

* Sat Jul 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.10-26
- Update to 1.2.10.

* Sun Jun 18 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix conditional spandsp build.

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.9.1.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.8.

* Thu Apr 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.7.
- Update to 1.2.7.1.

* Mon Mar 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.6.

* Sun Mar  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.5.

* Fri Feb  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.4.

* Thu Jan 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Tue Oct 11 2005 Mark Wormgoor <mark@wormgoor.com>
- Fix compiler options to work with non-i686 hardware

* Fri Jul 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Sun Apr 3 2005 Mark Wormgoor <mark@wormgoor.com>
- Separated into devel
- Add spandsp fax patch
- Include zaptel module

* Fri Apr  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.7.

* Wed Jan 26 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.5.

* Mon Dec 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add lippri support.
- Add postgresql support.

* Wed Dec  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.3.

* Fri Aug 20 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0RC2.

* Sun Mar 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
